<?php

namespace App\Http\Controllers\Auth;

use Illuminate\Support\Facades\DB;
use App\Laravue\Models\Users;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class  SwooleCommandController extends Controller
{
    //返回用户列表
    public function userslist(): string
    {
        //查询用户数量
        $usercount = DB::table('BackgroundUser')->count();//获取用户数量
        //查询设备类型
        $count = DB::table('BackgroundUser as b')
            ->leftjoin('device as d','b.id','=','d.uid')
            ->leftjoin('device_type as t','d.dtype','=','t.tid')
            ->selectRaw('b.username,count(IF(d.dtype=1,true,null)) AS type_1, COUNT(IF(t.tid=2, true, null)) AS type_2,COUNT(IF(t.tid=4, true, null)) AS type_4,COUNT(IF(t.tid=5, true, null)) AS type_5,COUNT(IF(t.tid=6, true, null)) AS type_6,COUNT(IF(t.tid=7, true, null)) AS type_7,COUNT(IF(t.tid=8, true, null)) AS type_8,COUNT(IF(t.tid=9, true, null)) AS type_9,COUNT(IF(t.tid=10, true, null)) AS type_10,COUNT(IF(t.tid=11, true, null)) AS type_11')
            ->groupBy('b.id')
            ->get();
        $countdata = ['usercount' => $usercount, 'userdata' => $count];
        return $this->jsonSuccessData($countdata);
    }

}